## synergy 1.3.6

=== CMakeLists.txt ===
# synergy -- mouse and keyboard sharing utility
# Copyright (C) 2009 Chris Schoeneman, Nick Bolton, Sorin Sbarnea
# 
# This package is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# found in the file COPYING that should have accompanied this file.
# 
# This package is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# Version number for Synergy
SET(VERSION_MAJOR 1)
SET(VERSION_MINOR 3)
SET(VERSION_REV 6)
SET(VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_REV}")


# The check for 2.6 may be too strict (consider lowering).
CMAKE_MINIMUM_REQUIRED(VERSION 2.4.7)

# CMake complains if we don't have this.
IF(COMMAND cmake_policy)
	CMAKE_POLICY(SET CMP0003 NEW)
ENDIF(COMMAND cmake_policy)

# We're escaping quotes in the Windows version number, because
# for some reason CMake won't do it at config version 2.4.7
# It seems that this restores the newer behaviour where define
# args are not auto-escaped.
IF(COMMAND cmake_policy)
	CMAKE_POLICY(SET CMP0005 NEW)
ENDIF(COMMAND cmake_policy)

# First, declare project (important for prerequisite checks).
PROJECT(synergy C CXX)

# Set some easy to type variables.
SET(root_dir ${CMAKE_SOURCE_DIR})
SET(cmake_dir ${root_dir}/cmake)
SET(bin_dir ${root_dir}/bin)
SET(doc_dir ${root_dir}/doc)

# Now for the stuff to generate config.h (and setup defines).
INCLUDE(${cmake_dir}/CMakeLists_config.txt)

# Now for all the executables and libraries.
INCLUDE(${cmake_dir}/CMakeLists_lib.txt)
INCLUDE(${cmake_dir}/CMakeLists_synergyc.txt)
INCLUDE(${cmake_dir}/CMakeLists_synergys.txt)
INCLUDE(${cmake_dir}/CMakeLists_launcher.txt)

if (CONF_CPACK)
   # Setup the CPack config.
   INCLUDE(${cmake_dir}/CMakeLists_cpack.txt)
endif()

if (CONF_DOXYGEN)
   # Setup doxygen
   INCLUDE(${cmake_dir}/CMakeLists_doxygen.txt)
endif()

IF(WIN32)
	# add /analyze in order to unconver potential bugs in the source code
	# Details: http://msdn.microsoft.com/en-us/library/fwkeyyhe.aspx
	# add /FR to generate browse information (ncb files) usefull for using IDE

	#define _BIND_TO_CURRENT_CRT_VERSION 1
	#define _BIND_TO_CURRENT_ATL_VERSION 1
	#define _BIND_TO_CURRENT_MFC_VERSION 1
	#define _BIND_TO_CURRENT_OPENMP_VERSION 1
	# next line replaced the previous 4 ones:
	#define _BIND_TO_CURRENT_VCLIBS_VERSION 1;

	# compiler: /MP - use multi cores to compile
	# added _SECURE_SCL=1 for finding bugs with iterators - http://msdn.microsoft.com/en-us/library/aa985965.aspx
	
	# common args between all vs builds
	SET(VS_ARGS "/FR /MP /D _BIND_TO_CURRENT_VCLIBS_VERSION=1 /D _SECURE_SCL=1 ${VS_ARGS_EXTRA}")
	
	# we may use `cmake -D VS_ARGS_EXTRA="/analyze"` for example to specify
	# analyze mode (since we don't always want to use it; e.g. on non-team 
	# or non-x86 compiler editions where there's no support)
	SET(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} ${VS_ARGS}")
	SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} ${VS_ARGS}")

	# this line removes "/D NDEBUG" from release, we want them in order to
	# find bugs even on release builds.
	SET(CMAKE_CXX_FLAGS_RELEASE "/MD /O2 /Ob2")

ENDIF(WIN32)

## synergy 1.3.6-2-maemo1

=== debian/changelog ===
synergy (1.3.6-2-maemo1) natty; urgency=low

  * Fremantle packaging
  * Needs build-dep:x11proto-xext-dev (on Maemo5: /usr/include/X11/extensions/XTest.h)
  * Needs libxi-dev (on Maemo5: /usr/include/X11/extensions/XInput.h)
  * cmake can't find XTest.h

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 13 Dec 2011 08:28:20 +0200

synergy (1.3.6-1ubuntu1) natty; urgency=low

  * Merge from debian unstable (LP: #719794), remaining changes:
    - debian/rules: disable FORTIFY, since fixing the code seems to have
      negative results (see LP 250869 -- Ubuntu specific workaround until
      debian bug 488460 is fully solved).

 -- Nobuto MURATA <nobuto@nobuto-murata.org>  Wed, 16 Feb 2011 13:40:20 +0900

synergy (1.3.6-1) unstable; urgency=low

  * New upstream version.  Closes: #611056.
  * Pull in previous updates from experimental.
    Closes: #591372.
  * Switch to cmake from autotools.
  * Drop obsolete docs.
  * Use project-suppled man pages instead of Debian-specific ones.
  * Update watch file to point to new synergy project.  Closes: #611726.

 -- Jeff Licquia <licquia@debian.org>  Sun, 13 Feb 2011 21:34:22 -0500

synergy (1.3.4-1ubuntu1) natty; urgency=low

  * Merge from debian experimental (LP: #385529, #697985), remaining changes:
    - debian/rules: disable FORTIFY, since fixing the code seems to have
      negative results (see LP 250869 -- Ubuntu specific workaround until
      debian bug 488460 is fully solved).

 -- Nobuto MURATA <nobuto@nobuto-murata.org>  Thu, 06 Jan 2011 16:30:11 +0900

synergy (1.3.4-1) experimental; urgency=low

  * New upstream version.
  * Set source package version.
  * Update Standards-Version.
  * Fix doc links to "obsolete" docs.
  * Updated documentation and Homepage to reflect the merger
    with synergy-plus.

 -- Jeff Licquia <licquia@debian.org>  Tue, 09 Nov 2010 16:44:15 -0500

synergy (1.3.1-6ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/rules: disable FORTIFY, since fixing the code seems to have
      negative results (see LP 250869 -- Ubuntu specific workaround until
      debian bug 488460 is fully solved).

 -- Andreas Wenning <awen@awen.dk>  Fri, 08 May 2009 22:36:26 +0200

synergy (1.3.1-6) unstable; urgency=low

  * Apply similar patch to synergyc.  Closes: #520008.
  * Update Standards-Version and debhelper compatibility.

 -- Jeff Licquia <licquia@debian.org>  Tue, 31 Mar 2009 15:18:57 -0400

synergy (1.3.1-5ubuntu2) jaunty; urgency=low

  * Call to XInitThreads() needed; prevents frequent crashes. (LP: #299152)
    - Patch taken from debian; applied inline.
    - debian/ubuntu-applied-patches/call_xinitthreads.patch

 -- Andreas Wenning <awen@awen.dk>  Sun, 19 Apr 2009 18:55:53 +0200

synergy (1.3.1-5ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/rules: disable FORTIFY, since fixing the code seems to have
      negative results (see LP 250869 -- Ubuntu specific workaround until
      debian bug 488460 is fully solved).

 -- Kees Cook <kees@ubuntu.com>  Fri, 14 Nov 2008 11:36:09 -0800

synergy (1.3.1-5) unstable; urgency=low

  * Apply patch from Carlo Wood which fixes a crash in synergys
    with XCB.  Closes: #495498.

 -- Jeff Licquia <licquia@debian.org>  Sun, 07 Sep 2008 23:25:43 -0400

synergy (1.3.1-4ubuntu2) intrepid; urgency=low

  * Revert fortify warning cleanups from prior upload.
  * debian/control: Add missing XInput build dep (see LP 273386).
  * debian/rules: disable FORTIFY, as this is the major difference
    between Debian and Ubuntu (LP: #250869).

 -- Kees Cook <kees@ubuntu.com>  Mon, 22 Sep 2008 09:58:11 -0700

synergy (1.3.1-4ubuntu1) intrepid; urgency=low

  * lib/arch/CArchDaemonUnix.cpp, lib/arch/CArchNetworkBSD.cpp,
    lib/platform/CXWindowsEventQueueBuffer.cpp: check missed error
    conditions detected by -D_FORTIFY_SOURCE=2.

 -- Kees Cook <kees@ubuntu.com>  Sat, 28 Jun 2008 18:53:46 -0700

synergy (1.3.1-4) unstable; urgency=low

  * Apply patch from Mike Stroyan which fixes some race conditions.
    Closes: #432938.
  * Re-jigger how options get passed to configure in debian/rules.

 -- Jeff Licquia <licquia@debian.org>  Tue, 24 Jun 2008 22:13:36 -0400

synergy (1.3.1-3) unstable; urgency=low

  * New maintainer.  Closes: #470186.
  * Update Standards-Version.
  * Add Homepage and Vcs-* fields.
  * Fix lintian warnings on copyright and doc-base files.
    Closes: #430783.
  * Fix problem with synergys man page.

 -- Jeff Licquia <licquia@debian.org>  Sat, 07 Jun 2008 19:26:22 -0500

synergy (1.3.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * fix g++-4.3 FTBFS (Closes: 417719).

 -- Pierre Habouzit <madcoder@debian.org>  Sun, 16 Mar 2008 22:01:24 +0000

synergy (1.3.1-2) unstable; urgency=low

  * added build-dependency on libxt-dev (closes: #367837)
  * Bumped Standard-Version to 3.7.2. no change.

 -- Cord Beermann <cord@debian.org>  Wed, 31 May 2006 22:57:17 +0200

synergy (1.3.1-1) unstable; urgency=low

  * New upstream release

 -- Cord Beermann <cord@debian.org>  Sat,  8 Apr 2006 20:44:18 +0200

synergy (1.3.0-1) unstable; urgency=low

  * New upstream release
  * should fix 'Shift key does not work inside VMware' (closes: #321055)
  * closing old unreproducable bug (closes: #276282)

 -- Cord Beermann <cord@debian.org>  Sat,  1 Apr 2006 09:04:14 +0200

synergy (1.2.8-2) unstable; urgency=low

  * doc-base install-docs control files do not appear to have a syntax
    for comments. comments removed. thanks to Paul Cannon
    for the diagnosis. (closes: #351997)

 -- Cord Beermann <cord@cord.de>  Thu,  9 Feb 2006 23:25:34 +0100

synergy (1.2.8-1) unstable; urgency=low

  * Hijack the package (closes: #349746)
  * Rebuild the package from scratch.
  * moved package from 'net' to 'x11'.

 -- Cord Beermann <cord@debian.org>  Sat,  4 Feb 2006 22:48:34 +0100

synergy (1.2.7-0.2) unstable; urgency=low

  * Non-maintainer upload
  * configure is unhappy, adding xutils.



=== debian/control ===
Source: synergy
Section: user/x11
Priority: optional
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
Homepage: http://synergy-foss.org/
Vcs-Bzr: http://bzr.licquia.org/synergy/debian/
Vcs-Browser: http://bzr.licquia.org/loggerhead/synergy/debian/
Build-Depends: debhelper (>= 5), libxt-dev, libxtst-dev, libxinerama-dev, cmake, x11proto-xext-dev, libxi-dev
Standards-Version: 3.9.1
XSBC-Bugtracker: http://synergy-foss.org/tracker/

Package: synergy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Share mouse, keyboard and clipboard over the network
 Synergy lets you easily share a single mouse and keyboard between
 multiple computers with different operating systems, each with its
 own display, without special hardware.  It's intended for users
 with multiple computers on their desk since each system uses its
 own display.
 .
 Redirecting the mouse and keyboard is as simple as moving the mouse
 off the edge of your screen.  Synergy also merges the clipboards of
 all the systems into one, allowing cut-and-paste between systems.
 Furthermore, it synchronizes screen savers so they all start and stop
 together and, if screen locking is enabled, only one screen requires
 a password to unlock them all.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g
LDFLAGS = -Wl,-z,defs

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

CXXFLAGS = $(CFLAGS) -U_FORTIFY_SOURCE

config.h: CMakeLists.txt
	dh_testdir
	cmake .

build: build-stamp

build-stamp:  config.h
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	cp doc/synergys.man synergys.1
	cp doc/synergyc.man synergyc.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	[ ! -f Makefile ] || $(MAKE) clean

	rm -rf CMakeFiles
	rm -f CMakeCache.txt Makefile cmake_install.cmake config.h

	rm -f synergys.1 synergyc.1
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	cp synergyc synergys $(CURDIR)/debian/synergy/usr/bin

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman synergys.1 synergyc.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## synergy 1.3.6-2-maemo2

=== debian/changelog ===
synergy (1.3.6-2-maemo2) natty; urgency=low

  * Fremantle packaging
  * optified
  * Without code modifications, built locally

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 13 Dec 2011 12:11:20 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Homepage: http://synergy-foss.org/
 Vcs-Bzr: http://bzr.licquia.org/synergy/debian/
 Vcs-Browser: http://bzr.licquia.org/loggerhead/synergy/debian/
-Build-Depends: debhelper (>= 5), libxt-dev, libxtst-dev, libxinerama-dev, cmake, x11proto-xext-dev, libxi-dev
+Build-Depends: debhelper (>= 5), libxt-dev, libxtst-dev, libxinerama-dev, cmake
 Standards-Version: 3.9.1
 XSBC-Bugtracker: http://synergy-foss.org/tracker/
 
@@ -25,3 +25,5 @@
  Furthermore, it synchronizes screen savers so they all start and stop
  together and, if screen locking is enabled, only one screen requires
  a password to unlock them all.
+ .
+ GPLv2, source code from: http://synergy.googlecode.com/files/synergy-1.3.6-Source.tar.gz

## synergy 1.3.6-2-maemo3

=== debian/changelog ===
synergy (1.3.6-2-maemo3) natty; urgency=low

  * Fremantle packaging
  * Needs build-dep:x11proto-xext-dev (on Maemo5: /usr/include/X11/extensions/XTest.h)
  * Needs libxi-dev (on Maemo5: /usr/include/X11/extensions/XInput.h)
  * cmake can't find XTest.h
  * optified

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 13 Dec 2011 08:28:20 +0200

## synergy 1.3.6-2-maemo4

=== debian/changelog ===
synergy (1.3.6-2-maemo4) natty; urgency=low

  * Fremantle packaging
  * Needs build-dep:x11proto-xext-dev (on Maemo5: /usr/include/X11/extensions/XTest.h)
  * Needs libxi-dev (on Maemo5: /usr/include/X11/extensions/XInput.h)
  * cmake can't find XTest.h
  * optified
  * Fixed: Logging causes seg faulting (use plain printf)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 14 Dec 2011 21:11:20 +0200

=== debian/rules ===
--- 
+++ 
@@ -62,7 +62,12 @@
 	dh_prep
 	dh_installdirs
 
-	cp synergyc synergys $(CURDIR)/debian/synergy/usr/bin
+	install -d $(CURDIR)/debian/synergy/usr/bin
+	install -d $(CURDIR)/debian/synergy/opt/synergy
+
+	mv synergyc synergys $(CURDIR)/debian/synergy/opt/synergy
+	ln -s /opt/synergy/synergyc $(CURDIR)/debian/synergy/usr/bin/synergyc
+	ln -s /opt/synergy/synergys $(CURDIR)/debian/synergy/usr/bin/synergys
 
 # Build architecture-independent files here.
 binary-indep: build install

## synergy 1.3.7

=== CMakeLists.txt ===
# synergy -- mouse and keyboard sharing utility
# Copyright (C) 2009 Chris Schoeneman, Nick Bolton, Sorin Sbarnea
# 
# This package is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# found in the file COPYING that should have accompanied this file.
# 
# This package is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# Version number for Synergy
set(VERSION_MAJOR 1)
set(VERSION_MINOR 3)
set(VERSION_REV 7)
set(VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_REV}")

# The check for 2.6 may be too strict (consider lowering).
cmake_minimum_required(VERSION 2.4.7)

# CMake complains if we don't have this.
if (COMMAND cmake_policy)
	cmake_policy(SET CMP0003 NEW)
endif()

# We're escaping quotes in the Windows version number, because
# for some reason CMake won't do it at config version 2.4.7
# It seems that this restores the newer behaviour where define
# args are not auto-escaped.
if (COMMAND cmake_policy)
	cmake_policy(SET CMP0005 NEW)
endif()

# First, declare project (important for prerequisite checks).
project(synergy C CXX)

# put binaries in a different dir to make them easier to find.
set(EXECUTABLE_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/bin)
set(LIBRARY_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/lib)

# for unix, put debug files in a separate bin "debug" dir.
# release bin files should stay in the root of the bin dir.
if (CMAKE_GENERATOR STREQUAL "Unix Makefiles")
  if (CMAKE_BUILD_TYPE STREQUAL Debug)
    set(EXECUTABLE_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/bin/debug)
    set(LIBRARY_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/lib/debug)
  endif()
endif()

# Set some easy to type variables.
set(root_dir ${CMAKE_SOURCE_DIR})
set(cmake_dir ${root_dir}/res)
set(bin_dir ${root_dir}/bin)
set(doc_dir ${root_dir}/doc)
set(doc_dir ${root_dir}/doc)

# Declare libs, so we can use list in linker later. There's probably 
# a more elegant way of doing this; with SCons, when you check for the
# lib, it is automatically passed to the linker.
set(libs)

# Depending on the platform, pass in the required defines.
if (UNIX)

	# For config.h, detect the libraries, functions, etc.
	include(CheckIncludeFiles)
	include(CheckLibraryExists)
	include(CheckFunctionExists)
	include(CheckTypeSize)
	include(CheckIncludeFileCXX)
	include(CheckSymbolExists)
	include(CheckCSourceCompiles)

	check_include_file_cxx(istream HAVE_ISTREAM)
	check_include_file_cxx(ostream HAVE_OSTREAM)
	check_include_file_cxx(sstream HAVE_SSTREAM)

	check_include_files(inttypes.h HAVE_INTTYPES_H)
	check_include_files(locale.h HAVE_LOCALE_H)
	check_include_files(memory.h HAVE_MEMORY_H)
	check_include_files(stdlib.h HAVE_STDLIB_H)
	check_include_files(strings.h HAVE_STRINGS_H)
	check_include_files(string.h HAVE_STRING_H)
	check_include_files(sys/select.h HAVE_SYS_SELECT_H)
	check_include_files(sys/socket.h HAVE_SYS_SOCKET_H)
	check_include_files(sys/stat.h HAVE_SYS_STAT_H)
	check_include_files(sys/time.h HAVE_SYS_TIME_H)
	check_include_files(sys/utsname.h HAVE_SYS_UTSNAME_H)
	check_include_files(unistd.h HAVE_UNISTD_H)
	check_include_files(wchar.h HAVE_WCHAR_H)

	check_function_exists(getpwuid_r HAVE_GETPWUID_R)
	check_function_exists(gmtime_r HAVE_GMTIME_R)
	check_function_exists(nanosleep HAVE_NANOSLEEP)
	check_function_exists(poll HAVE_POLL)
	check_function_exists(sigwait HAVE_POSIX_SIGWAIT)
	check_function_exists(strftime HAVE_STRFTIME)
	check_function_exists(vsnprintf HAVE_VSNPRINTF)
	check_function_exists(inet_aton HAVE_INET_ATON)
	
	# For some reason, the check_function_exists macro doesn't detect
	# the inet_aton on some pure Unix platforms (e.g. sunos5). So we
	# need to do a more detailed check and also include some extra libs.
	if (NOT HAVE_INET_ATON)

		set(CMAKE_REQUIRED_LIBRARIES nsl)
		check_c_source_compiles(
			"#include <arpa/inet.h>\n int main() { inet_aton(0, 0); }" 
			HAVE_INET_ATON_ADV)
		set(CMAKE_REQUIRED_LIBRARIES)

		if (HAVE_INET_ATON_ADV)
			
			# Override the previous fail.
			set(HAVE_INET_ATON 1)

			# Assume that both nsl and socket will be needed,
			# it seems safe to add socket on the back of nsl,
			# since socket only ever needed when nsl is needed.
			list(APPEND libs nsl socket)

		endif()

	endif()

	check_type_size(char SIZEOF_CHAR)
	check_type_size(int SIZEOF_INT)
	check_type_size(long SIZEOF_LONG)
	check_type_size(short SIZEOF_SHORT)

	# pthread is used on both Linux and Mac
	check_library_exists("pthread" pthread_create "" HAVE_PTHREAD)
	if (HAVE_PTHREAD)
		list(APPEND libs pthread)
	else (HAVE_PTHREAD)
		message(FATAL_ERROR "Missing library: pthread")
	endif()
	
	if (APPLE)

		# build mac os x universal
		set(CMAKE_OSX_ARCHITECTURES "ppc;i386"
			CACHE STRING "Build architectures for OSX" FORCE)

		find_library(lib_ScreenSaver ScreenSaver)
		find_library(lib_IOKit IOKit)
		find_library(lib_ApplicationServices ApplicationServices)
		find_library(lib_Foundation Foundation)
		find_library(lib_Carbon Carbon)

		list(APPEND libs
			${lib_ScreenSaver}
			${lib_IOKit}
			${lib_ApplicationServices}
			${lib_Foundation}
			${lib_Carbon}
		)

	else()

		set(XKBlib "X11/XKBlib.h")
		check_include_files("${XKBlib};X11/extensions/dpms.h" HAVE_X11_EXTENSIONS_DPMS_H)
		check_include_files("X11/extensions/Xinerama.h" HAVE_X11_EXTENSIONS_XINERAMA_H)
		check_include_files("${XKBlib};X11/extensions/XKBstr.h" HAVE_X11_EXTENSIONS_XKBSTR_H)
		check_include_files("X11/extensions/XKB.h" HAVE_XKB_EXTENSION)
		check_include_files("X11/extensions/XTest.h" HAVE_X11_EXTENSIONS_XTEST_H)
		check_include_files(${XKBlib} HAVE_X11_XKBLIB_H)

		if (HAVE_X11_EXTENSIONS_DPMS_H)
			# Assume that function prototypes declared, when include exists.
			set(HAVE_DPMS_PROTOTYPES 1)
		endif()

		if (NOT HAVE_X11_XKBLIB_H)
			message(FATAL_ERROR "Missing header: " ${XKBlib})
		endif()

		check_library_exists("SM;ICE" IceConnectionNumber "" HAVE_ICE)
		check_library_exists("X11;Xext" DPMSQueryExtension "" HAVE_Xext)
		check_library_exists("X11;Xext;Xtst" XTestQueryExtension "" HAVE_Xtst)
		check_library_exists("Xinerama" XineramaQueryExtension "" HAVE_Xinerama)

		if (HAVE_ICE)

			# Assume we have SM if we have ICE.
			set(HAVE_SM 1)
			list(APPEND libs SM ICE)

		endif()

		if (HAVE_Xtst)

			# Xtxt depends on X11.
			set(HAVE_X11)
			list(APPEND libs X11 Xtst)

		else()

			message(FATAL_ERROR "Missing library: Xtst")

		endif()

		if (HAVE_Xext)
			list(APPEND libs Xext)
		endif()

		if (HAVE_Xinerama)
			list(APPEND libs Xinerama)
		else (HAVE_Xinerama)
			if (HAVE_X11_EXTENSIONS_XINERAMA_H)
				message(FATAL_ERROR "Missing library: Xinerama")
			endif()
		endif()

	endif()

	# For config.h, set some static values; it may be a good idea to make
	# these values dynamic for non-standard UNIX compilers.
	set(ACCEPT_TYPE_ARG3 socklen_t)
	set(HAVE_CXX_BOOL 1)
	set(HAVE_CXX_CASTS 1)
	set(HAVE_CXX_EXCEPTIONS 1)
	set(HAVE_CXX_MUTABLE 1)
	set(HAVE_CXX_STDLIB 1)
	set(HAVE_PTHREAD_SIGNAL 1)
	set(SELECT_TYPE_ARG1 int)
	set(SELECT_TYPE_ARG234 "(fd_set *)")
	set(SELECT_TYPE_ARG5 "(struct timeval *)")
	set(STDC_HEADERS 1)
	set(TIME_WITH_SYS_TIME 1)
	set(HAVE_SOCKLEN_T 1)

	# For config.h, save the results based on a template (config.h.in).
	configure_file(res/config.h.in ${root_dir}/config.h)

	add_definitions(-DSYSAPI_UNIX=1 -DHAVE_CONFIG_H)

	if (APPLE)
		add_definitions(-DWINAPI_CARBON=1 -D_THREAD_SAFE -DMACOSX_DEPLOYMENT_TARGET=10.4)
	else (APPLE)
		add_definitions(-DWINAPI_XWINDOWS=1)
	endif()

else (UNIX)

	list(APPEND libs Wtsapi32 Userenv)

	add_definitions(
		/DWIN32
		/D_WINDOWS
		/D_CRT_SECURE_NO_WARNINGS
		/DVERSION=\"${VERSION}\"
	)

endif()

add_subdirectory(src)

if (WIN32)
	# add /analyze in order to unconver potential bugs in the source code
	# Details: http://msdn.microsoft.com/en-us/library/fwkeyyhe.aspx
	# add /FR to generate browse information (ncb files) usefull for using IDE

	#define _BIND_TO_CURRENT_CRT_VERSION 1
	#define _BIND_TO_CURRENT_ATL_VERSION 1
	#define _BIND_TO_CURRENT_MFC_VERSION 1
	#define _BIND_TO_CURRENT_OPENMP_VERSION 1
	# next line replaced the previous 4 ones:
	#define _BIND_TO_CURRENT_VCLIBS_VERSION 1;

	# compiler: /MP - use multi cores to compile
	# added _SECURE_SCL=1 for finding bugs with iterators - http://msdn.microsoft.com/en-us/library/aa985965.aspx
	
	# common args between all vs builds
	set(VS_ARGS "/FR /MP /D _BIND_TO_CURRENT_VCLIBS_VERSION=1 /D _SECURE_SCL=1 ${VS_ARGS_EXTRA}")
	
	# we may use `cmake -D VS_ARGS_EXTRA="/analyze"` for example to specify
	# analyze mode (since we don't always want to use it; e.g. on non-team 
	# or non-x86 compiler editions where there's no support)
	set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} ${VS_ARGS}")
	set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} ${VS_ARGS}")

	# this line removes "/D NDEBUG" from release, we want them in order to
	# find bugs even on release builds.
	set(CMAKE_CXX_FLAGS_RELEASE "/MD /O2 /Ob2")

endif()

if (CONF_CPACK)

	if (WIN32)
	   message(FATAL_ERROR "CPack support for Windows has been removed.")
	endif()

	if (UNIX)
		if (APPLE)
			message(FATAL_ERROR "CPack support for Apple has been removed.")
		endif()
	endif()

	# The default CPack behaviour is not to append the system processor
	# type, which is undesirable in our case, since we want to support 
	# both 32-bit and 64-bit processors.
	set(CPACK_SYSTEM_NAME ${CMAKE_SYSTEM_NAME}-${CMAKE_SYSTEM_PROCESSOR})

	set(CPACK_PACKAGE_NAME "synergy")
	set(CPACK_PACKAGE_VENDOR "The Synergy Project")
	set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Synergy server and client")
	set(CPACK_PACKAGE_VERSION_MAJOR ${VERSION_MAJOR})
	set(CPACK_PACKAGE_VERSION_MINOR ${VERSION_MINOR})
	set(CPACK_PACKAGE_VERSION_PATCH ${VERSION_REV})
	set(CPACK_PACKAGE_VERSION ${VERSION})
	set(CPACK_PACKAGE_CONTACT http://synergy-foss.org/)
	set(CPACK_RESOURCE_FILE_LICENSE "${cmake_dir}/License.rtf")
	set(CPACK_RESOURCE_FILE_README "${cmake_dir}/Readme.txt")

	# Must be last (since it relies of CPACK_ vars).
	include(CPack)

endif()

if (CONF_DOXYGEN)

	set(VERSION, "${VERSION}")

	# For doxygen.cfg, save the results based on a template (doxygen.cfg.in).
	configure_file(${cmake_dir}/doxygen.cfg.in ${doc_dir}/doxygen.cfg)

endif()

=== src/lib/arch/CMakeLists.txt ===
# synergy -- mouse and keyboard sharing utility
# Copyright (C) 2009 Chris Schoeneman, Nick Bolton, Sorin Sbarnea
# 
# This package is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# found in the file COPYING that should have accompanied this file.
# 
# This package is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

set(src
	CArch.cpp
	CArchDaemonNone.cpp
	XArch.cpp
)

if (WIN32)

	set(inc
		CArchConsoleWindows.h
		CArchDaemonWindows.h
		CArchFileWindows.h
		CArchLogWindows.h
		CArchMiscWindows.h
		CArchMultithreadWindows.h
		CArchNetworkWinsock.h
		CArchSleepWindows.h
		CArchStringWindows.h
		CArchSystemWindows.h
		CArchTaskBarWindows.h
		CArchTimeWindows.h
		XArchWindows.h
	)

	list(APPEND src
		${inc}
		CArchConsoleWindows.cpp
		CArchDaemonWindows.cpp
		CArchFileWindows.cpp
		CArchLogWindows.cpp
		CArchMiscWindows.cpp
		CArchMultithreadWindows.cpp
		CArchNetworkWinsock.cpp
		CArchSleepWindows.cpp
		CArchStringWindows.cpp
		CArchSystemWindows.cpp
		CArchTaskBarWindows.cpp
		CArchTimeWindows.cpp
		XArchWindows.cpp
	)
	
elseif (UNIX)

	list(APPEND src
		CArchConsoleUnix.cpp
		CArchDaemonUnix.cpp
		CArchFileUnix.cpp
		CArchLogUnix.cpp
		CArchMultithreadPosix.cpp
		CArchNetworkBSD.cpp
		CArchSleepUnix.cpp
		CArchStringUnix.cpp
		CArchSystemUnix.cpp
		CArchTaskBarXWindows.cpp
		CArchTimeUnix.cpp
		XArchUnix.cpp
	)
	
endif()

set(inc
	../base
	../common
	../mt
	../platform
	../synergy
)

if (UNIX)
	list(APPEND inc
		../../..
		../arch
	)
endif()

include_directories(${inc})
add_library(arch STATIC ${src})

## synergy 1.3.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # Version number for Synergy
 set(VERSION_MAJOR 1)
 set(VERSION_MINOR 3)
-set(VERSION_REV 7)
+set(VERSION_REV 8)
 set(VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_REV}")
 
 # The check for 2.6 may be too strict (consider lowering).
@@ -142,9 +142,17 @@
 	
 	if (APPLE)
 
-		# build mac os x universal
-		set(CMAKE_OSX_ARCHITECTURES "ppc;i386"
-			CACHE STRING "Build architectures for OSX" FORCE)
+		# build mac os x universal (if <= 10.6)
+		exec_program(uname ARGS -v OUTPUT_VARIABLE DARWIN_VERSION)
+		string(REGEX MATCH "[0-9]+" DARWIN_VERSION ${DARWIN_VERSION})
+		message(STATUS "DARWIN_VERSION=${DARWIN_VERSION}")
+		if (DARWIN_VERSION LESS 11)
+			set(CMAKE_OSX_ARCHITECTURES "ppc;i386"
+				CACHE STRING "PPC and 32-bit for for OSX <= 10.6" FORCE)
+		else()
+			set(CMAKE_OSX_ARCHITECTURES "i386"
+				CACHE STRING "32-bit only for OSX >= 10.7" FORCE)
+		endif()
 
 		find_library(lib_ScreenSaver ScreenSaver)
 		find_library(lib_IOKit IOKit)

=== src/CMakeLists.txt ===
# synergy -- mouse and keyboard sharing utility
# Copyright (C) 2011 Chris Schoeneman, Nick Bolton, Sorin Sbarnea
# 
# This package is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# found in the file COPYING that should have accompanied this file.
# 
# This package is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

add_subdirectory(lib)
add_subdirectory(cmd)
add_subdirectory(test)

=== src/cmd/CMakeLists.txt ===
# synergy -- mouse and keyboard sharing utility
# Copyright (C) 2011 Chris Schoeneman, Nick Bolton, Sorin Sbarnea
# 
# This package is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# found in the file COPYING that should have accompanied this file.
# 
# This package is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

if (WIN32)
	add_subdirectory(launcher)
endif()

add_subdirectory(synergyc)
add_subdirectory(synergys)

=== src/lib/CMakeLists.txt ===
# synergy -- mouse and keyboard sharing utility
# Copyright (C) 2009 Chris Schoeneman, Nick Bolton, Sorin Sbarnea
# 
# This package is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# found in the file COPYING that should have accompanied this file.
# 
# This package is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

add_subdirectory(arch)
add_subdirectory(base)
add_subdirectory(client)
add_subdirectory(common)
add_subdirectory(io)
add_subdirectory(mt)
add_subdirectory(net)
add_subdirectory(platform)
add_subdirectory(server)
add_subdirectory(synergy)

=== src/test/CMakeLists.txt ===
# synergy -- mouse and keyboard sharing utility
# Copyright (C) 2011 Chris Schoeneman, Nick Bolton, Sorin Sbarnea
# 
# This package is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# found in the file COPYING that should have accompanied this file.
# 
# This package is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include_directories(
	../../tools/gtest-1.6.0
	../../tools/gtest-1.6.0/include
	../../tools/gmock-1.6.0
	../../tools/gmock-1.6.0/include)
	
add_library(gtest STATIC ../../tools/gtest-1.6.0/src/gtest-all.cc)
add_library(gmock STATIC ../../tools/gmock-1.6.0/src/gmock-all.cc)

add_subdirectory(integtests)
add_subdirectory(unittests)

=== src/cmd/launcher/CMakeLists.txt ===
# synergy -- mouse and keyboard sharing utility
# Copyright (C) 2009 Chris Schoeneman, Nick Bolton, Sorin Sbarnea
# 
# This package is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# found in the file COPYING that should have accompanied this file.
# 
# This package is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

set(src
	CAddScreen.h
	CAdvancedOptions.h
	CAutoStart.h
	CGlobalOptions.h
	CHotkeyOptions.h
	CInfo.h
	CScreensLinks.h
	LaunchUtil.h
	resource.h
	launcher.rc
	synergy.ico
	CAddScreen.cpp
	CAdvancedOptions.cpp
	CAutoStart.cpp
	CGlobalOptions.cpp
	CHotkeyOptions.cpp
	CInfo.cpp
	CScreensLinks.cpp
	LaunchUtil.cpp
	launcher.cpp
)

set(inc
	../../lib/server
	../../lib/arch
	../../lib/base
	../../lib/common
	../../lib/net
	../../lib/platform
	../../lib/synergy
)

include_directories(${inc})
add_executable(launcher WIN32 ${src})
target_link_libraries(launcher synergy ${libs})
target_link_libraries(launcher
	arch base common io mt net platform server ${libs})

=== src/cmd/synergyc/CMakeLists.txt ===
# synergy -- mouse and keyboard sharing utility
# Copyright (C) 2009 Chris Schoeneman, Nick Bolton, Sorin Sbarnea
# 
# This package is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# found in the file COPYING that should have accompanied this file.
# 
# This package is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

set(src
	synergyc.cpp
	CClientTaskBarReceiver.cpp
)

if (WIN32)
	list(APPEND src
		CClientTaskBarReceiver.h
		CMSWindowsClientTaskBarReceiver.cpp
		CMSWindowsClientTaskBarReceiver.h
		resource.h
		synergyc.ico
		synergyc.rc
		tb_error.ico
		tb_idle.ico
		tb_run.ico
		tb_wait.ico
	)
elseif (APPLE)
	list(APPEND src COSXClientTaskBarReceiver.cpp)
elseif (UNIX)
	list(APPEND src CXWindowsClientTaskBarReceiver.cpp)	
endif()

set(inc
	../../lib/arch
	../../lib/base
	../../lib/client
	../../lib/common
	../../lib/io
	../../lib/mt
	../../lib/net
	../../lib/platform
	../../lib/synergy
)

if (UNIX)
	list(APPEND inc
		../../..
	)
endif()

include_directories(${inc})
add_executable(synergyc WIN32 ${src})
target_link_libraries(synergyc
	arch base client common io mt net platform server synergy ${libs})

if (CONF_CPACK)
	install(TARGETS
		synergyc
		COMPONENT core
		DESTINATION bin)
endif()

=== src/cmd/synergys/CMakeLists.txt ===
# synergy -- mouse and keyboard sharing utility
# Copyright (C) 2009 Chris Schoeneman, Nick Bolton, Sorin Sbarnea
# 
# This package is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# found in the file COPYING that should have accompanied this file.
# 
# This package is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

set(src
	synergys.cpp
	CServerTaskBarReceiver.cpp
)

if (WIN32)
	list(APPEND src
		CServerTaskBarReceiver.h
		CMSWindowsServerTaskBarReceiver.cpp
		CMSWindowsServerTaskBarReceiver.h
		resource.h
		synergys.ico
		synergys.rc
		tb_error.ico
		tb_idle.ico
		tb_run.ico
		tb_wait.ico
	)
elseif (APPLE)
	list(APPEND src COSXServerTaskBarReceiver.cpp)	
elseif (UNIX)
	list(APPEND src CXWindowsServerTaskBarReceiver.cpp)
endif()

set(inc
	../../lib/arch
	../../lib/base
	../../lib/common
	../../lib/io
	../../lib/mt
	../../lib/net
	../../lib/platform
	../../lib/synergy
	../../lib/server
)

if (UNIX)
	list(APPEND inc
		../../..
	)
endif()

include_directories(${inc})
add_executable(synergys WIN32 ${src})
target_link_libraries(synergys
	arch base client common io mt net platform server synergy ${libs})

if (CONF_CPACK)
	install(TARGETS
		synergys
		COMPONENT core
		DESTINATION bin)
endif()

=== src/lib/arch/CMakeLists.txt ===
--- 
+++ 
@@ -16,6 +16,7 @@
 set(src
 	CArch.cpp
 	CArchDaemonNone.cpp
+	IArchString.cpp
 	XArch.cpp
 )
 
@@ -35,6 +36,8 @@
 		CArchTaskBarWindows.h
 		CArchTimeWindows.h
 		XArchWindows.h
+		CMultibyte.h
+		vsnprintf.h
 	)
 
 	list(APPEND src

=== src/lib/base/CMakeLists.txt ===
# synergy -- mouse and keyboard sharing utility
# Copyright (C) 2009 Chris Schoeneman, Nick Bolton, Sorin Sbarnea
# 
# This package is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# found in the file COPYING that should have accompanied this file.
# 
# This package is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

set(inc
	CEvent.h
	CEventQueue.h
	CFunctionEventJob.h
	CFunctionJob.h
	CLog.h
	CPriorityQueue.h
	CSimpleEventQueueBuffer.h
	CStopwatch.h
	CString.h
	CStringUtil.h
	CUnicode.h
	IEventJob.h
	IEventQueue.h
	IEventQueueBuffer.h
	IJob.h
	ILogOutputter.h
	LogOutputters.h
	TMethodEventJob.h
	TMethodJob.h
	XBase.h
	ELevel.h
)

set(src
	CEvent.cpp
	CEventQueue.cpp
	CFunctionEventJob.cpp
	CFunctionJob.cpp
	CLog.cpp
	CSimpleEventQueueBuffer.cpp
	CStopwatch.cpp
	CStringUtil.cpp
	CUnicode.cpp
	IEventQueue.cpp
	LogOutputters.cpp
	XBase.cpp
)

if (WIN32)
	list(APPEND src ${inc})
endif()

set(inc
	../arch
	../common
	../mt
	../synergy
)

if (UNIX)
	list(APPEND inc
		../../..
		../base
	)
endif()

include_directories(${inc})
add_library(base STATIC ${src})

=== src/lib/client/CMakeLists.txt ===
# synergy -- mouse and keyboard sharing utility
# Copyright (C) 2009 Chris Schoeneman, Nick Bolton, Sorin Sbarnea
# 
# This package is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# found in the file COPYING that should have accompanied this file.
# 
# This package is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

set(inc
	CClient.h
	CServerProxy.h
)

set(src
	CClient.cpp
	CServerProxy.cpp
)

if (WIN32)
	list(APPEND src ${inc})
endif()

set(inc
	../arch
	../base
	../common
	../io
	../mt
	../net
	../synergy
)

if (UNIX)
	list(APPEND inc
		../../..
	)

endif()

include_directories(${inc})
add_library(client STATIC ${src})

if (UNIX)
	target_link_libraries(client synergy io)
endif()

=== src/lib/common/CMakeLists.txt ===
# synergy -- mouse and keyboard sharing utility
# Copyright (C) 2009 Chris Schoeneman, Nick Bolton, Sorin Sbarnea
# 
# This package is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# found in the file COPYING that should have accompanied this file.
# 
# This package is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

set(inc
	Version.h
)

set(src
	Version.cpp
)

if (WIN32)
	list(APPEND src ${inc})
endif()

if (UNIX)
	include_directories(
		../../..
	)
endif()

add_library(common STATIC ${src})

=== debian/changelog ===
synergy (1.3.8-2) unstable; urgency=low

  * Build with dpkg-buildflags hardening support.
  * Update Standards-Version.
  * Apply mutex initialization fix from upstream.  This seems
    to fix a number of segfault issues.  Closes: #666896.

 -- Jeff Licquia <licquia@debian.org>  Sat, 07 Jul 2012 15:08:33 -0400

synergy (1.3.8-1) unstable; urgency=low

  * New upstream version.
  * Switch to 3.0 (quilt) source format.
  * Apply upstream patch to fix GNOME 3 issues.  Closes: #649208.

 -- Jeff Licquia <licquia@debian.org>  Sun, 04 Dec 2011 18:58:04 -0500

synergy (1.3.7-1) unstable; urgency=low

  * New upstream version.
  * Update Standards-Version, fix new lintian warnings.
  * Add test suites to build.  One appears unreliable; disable
    until fixed.
  * Switch back to the Debian-specific man pages, which are better.

 -- Jeff Licquia <licquia@debian.org>  Sun, 02 Oct 2011 19:37:04 -0400

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: synergy
-Section: user/x11
+Section: x11
 Priority: optional
-Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
+Maintainer: Jeff Licquia <licquia@debian.org>
 Homepage: http://synergy-foss.org/
 Vcs-Bzr: http://bzr.licquia.org/synergy/debian/
 Vcs-Browser: http://bzr.licquia.org/loggerhead/synergy/debian/
-Build-Depends: debhelper (>= 5), libxt-dev, libxtst-dev, libxinerama-dev, cmake
-Standards-Version: 3.9.1
-XSBC-Bugtracker: http://synergy-foss.org/tracker/
+Build-Depends: debhelper (>= 7), libxt-dev, libxtst-dev, libxinerama-dev, cmake, docbook-to-man
+Standards-Version: 3.9.3
 
 Package: synergy
 Architecture: any
@@ -26,4 +25,5 @@
  together and, if screen locking is enabled, only one screen requires
  a password to unlock them all.
  .
- GPLv2, source code from: http://synergy.googlecode.com/files/synergy-1.3.6-Source.tar.gz
+ Packages for Windows/MacOS/RPM and Sources can be found at
+ http://sourceforge.net/project/showfiles.php?group_id=59275

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,14 @@
 # Uncomment this to turn on verbose mode.
 # export DH_VERBOSE=1
 
+# Set build flags.  For wheezy+1, we will switch to using debhelper 9.
+# For now, preserve compatibility with squeeze.  Includes CMake workaround
+# (which, again, should not be necessary after wheezy).
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS=1
+-include /usr/share/dpkg/buildflags.mk
+CFLAGS += $(CPPFLAGS)
+CXXFLAGS += $(CPPFLAGS)
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
@@ -16,8 +24,9 @@
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
 
-CFLAGS = -Wall -g
-LDFLAGS = -Wl,-z,defs
+CFLAGS += -Wall -g
+CXXFLAGS += -Wall -g
+LDFLAGS += -Wl,-z,defs
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
@@ -25,36 +34,51 @@
 	CFLAGS += -O2
 endif
 
-CXXFLAGS = $(CFLAGS) -U_FORTIFY_SOURCE
+CXXFLAGS = $(CFLAGS)
 
-config.h: CMakeLists.txt
+builddir:
+	mkdir builddir
+
+config.h: CMakeLists.txt builddir
 	dh_testdir
-	cmake .
+	(cd builddir && cmake ..)
 
-build: build-stamp
-
-build-stamp:  config.h
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
+build-stamp: builddir config.h
 	dh_testdir
 
-	# Add here commands to compile the package.
-	$(MAKE)
-	cp doc/synergys.man synergys.1
-	cp doc/synergyc.man synergyc.1
+	(cd builddir && $(MAKE) VERBOSE=1)
+
+	# Upstream provides nearly-useless man pages.  If
+	# you want to use them, uncomment these and comment
+	# the docbook-to-man lines out.
+	#cp doc/synergys.man synergys.1
+	#cp doc/synergyc.man synergyc.1
+
+	# Use the man pages provided by a Debian user.
+	docbook-to-man debian/synergys.sgml > synergys.1
+	docbook-to-man debian/synergyc.sgml > synergyc.1
 
 	touch build-stamp
 
 clean:
 	dh_testdir
 	dh_testroot
+
 	rm -f build-stamp 
+	rm -rf builddir bin lib
+	rm -f synergys.1 synergyc.1 config.h
 
-	[ ! -f Makefile ] || $(MAKE) clean
+	find . -name \*.pyc -delete
 
-	rm -rf CMakeFiles
-	rm -f CMakeCache.txt Makefile cmake_install.cmake config.h
+	dh_clean 
 
-	rm -f synergys.1 synergyc.1
-	dh_clean 
+test: build-stamp
+	bin/unittests --gtest_color=no
+	# Disabled; seems to segfault often.
+	#bin/integtests --gtest_color=no
 
 install: build
 	dh_testdir
@@ -62,19 +86,14 @@
 	dh_prep
 	dh_installdirs
 
-	install -d $(CURDIR)/debian/synergy/usr/bin
-	install -d $(CURDIR)/debian/synergy/opt/synergy
-
-	mv synergyc synergys $(CURDIR)/debian/synergy/opt/synergy
-	ln -s /opt/synergy/synergyc $(CURDIR)/debian/synergy/usr/bin/synergyc
-	ln -s /opt/synergy/synergys $(CURDIR)/debian/synergy/usr/bin/synergys
+	cp bin/synergyc bin/synergys $(CURDIR)/debian/synergy/usr/bin
 
 # Build architecture-independent files here.
 binary-indep: build install
 # We have nothing to do by default.
 
 # Build architecture-dependent files here.
-binary-arch: build install
+binary-arch: build install test
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs ChangeLog

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# This is a variant HTTP format which allows direct specification of
# the homepage:
# Homepage  Pattern  [Version  [Action]]
opts=filenamemangle=s/.*files\/(.+)/$1/ \
  http://code.google.com/p/synergy/downloads/list \
    .*/files/synergy-([\d\.]+)-Source\.tar\.gz
